#!/usr/bin/env node
"use strict";

var _yargs = _interopRequireDefault(require("yargs"));

var _updateNotifier = _interopRequireDefault(require("update-notifier"));

var _create = _interopRequireDefault(require("./commands/create"));

var _watch = _interopRequireDefault(require("./commands/watch"));

var _build = _interopRequireDefault(require("./commands/build"));

var _logo = _interopRequireDefault(require("./lib/logo"));

var _checkVersion = _interopRequireDefault(require("./check-version"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pkg = require('./../package.json');

const HELP = `
  polymerx-cli ${pkg.version}\n\nFor help with a specific command, enter:\npolymerx help [command]
`.replace(/\t/g, '');
(0, _checkVersion.default)();
(0, _updateNotifier.default)({
  pkg
}).notify();
_yargs.default.command(_create.default).command(_watch.default).command(_build.default).usage((0, _logo.default)(HELP)).help().alias('h', 'help').demandCommand().strict().argv;